﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000 Calculate Vertical Pos VISA
DATE:                  2018-09-05 21:45:56
AUTHOR:                Fluke
REVISION:              $Revision: 25079 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       79
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000 Series
#          TBS1022, TBS1042, TBS1062, TBS1064, TBS1102, TBS1104,
#		   TBS1152, TBS1154.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         L[1] = 1

  1.002  DO
# Calculate the vertical position of the specified value.
# Adjust the vertical position for the DC line to position
# the line in the center of the screen.
  1.003  MATH         Divs = FMT(0 - (MEM1 / 0.05), "%.2f")
  1.004  VISA         CH[V @Chan]:POS [V Divs]
  1.005  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.006  JMPL         END                          @Abort
  1.007  WAIT         [D2000]
  1.008  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  1.009  MATH         @MeasError = ABS(MEM1 - MEM)
  1.010  VISA         CH[V @Chan]:POS 0
  1.011  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.012  JMPL         END                          @Abort

# The first test point, set the original "Margin" & "LastMargin" value.
  1.013  MATH         Deviation = @Limit - @MeasError

  1.014  IF           MEM1 == 1.8
  1.015  MATH         @Margin = Deviation
  1.016  ELSE
  1.017  MATH         @Margin = MIN2(@Margin, Deviation)
  1.018  ENDIF

  1.019  MATH         L[1] = L[1] + 1
  1.020  UNTIL        L[1] > 3

  1.021  MATH         @Result = (@MeasError > @Limit)

  1.022  LABEL        END
  1.023  END
